### Class method

# Gtk WidgetClass set_template

#### Declaration [src]

    void
    gtk_widget_class_set_template (
      WidgetClass* self
    )

#### Description [src]

This should be called at class initialization time to specify the `GtkBuilder` XML to be used to extend a widget.

For convenience, gtk_widget_class_set_template_from_resource() is also provided.

Note that any class that installs templates must call gtk_widget_init_template() in the widget’s instance initializer.